#
# Conditional build:
%bcond_without	tests	# do not perform "make test"

Summary:	Convert Python packages to RPM .spec files
Name:		pyp2rpm
Version:	1.1.2
Release:	1
License:	MIT
Group:		Applications
Source0:	http://pypi.python.org/packages/source/p/pyp2rpm/%{name}-%{version}.tar.gz
# Source0-md5:	c53728da205a0c9b8860644de464ea0d
# to get tests:
# git clone git@bitbucket.org:bkabrda/pyp2rpm.git && cd pyp2rpm
# git checkout v1.0.1 && tar czf pyp2rpm-1.0.1-tests.tgz tests/
Source1:	http://pkgs.fedoraproject.org/repo/pkgs/pyp2rpm/%{name}-%{version}-tests.tgz/159412b3603fdcc673c0a8c731bc22c4/pyp2rpm-%{version}-tests.tgz
# Source1-md5:	159412b3603fdcc673c0a8c731bc22c4
Source2:	pld.spec.tmpl
Patch0:		default-savepath.patch
Patch1:		no-rpmdev-packager.patch
Patch2:		default-distro.patch
URL:		https://pypi.python.org/pypi/pyp2rpm
BuildRequires:	python-flexmock >= 0.9.3
BuildRequires:	python-pytest
BuildRequires:	python-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.219
Requires:	python-jinja2
Requires:	python-setuptools
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Convert Python packages to RPM .spec.

Users can provide their own templates for rendering the package
metadata. Both the package source and metadata can be extracted from
PyPI or from local filesystem (local file doesn't provide that much
information though).

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
# Remove bundled egg-info
rm -r %{name}.egg-info

cp -p %{SOURCE2} pyp2rpm/templates/pld.spec

%build
%{__python} setup.py build

%if %{with tests}
PYTHONPATH=$(pwd) py.test
%endif

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install \
	--skip-build \
	--optimize=2 \
	--root=$RPM_BUILD_ROOT

%py_postclean

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst LICENSE
%attr(755,root,root) %{_bindir}/pyp2rpm
%dir %{py_sitescriptdir}/%{name}
%{py_sitescriptdir}/%{name}/*.py[co]
%dir %{py_sitescriptdir}/%{name}/templates
%{py_sitescriptdir}/%{name}/templates/macros.spec
%{py_sitescriptdir}/%{name}/templates/fedora.spec
%{py_sitescriptdir}/%{name}/templates/mageia.spec
%{py_sitescriptdir}/%{name}/templates/pld.spec
%{py_sitescriptdir}/%{name}-%{version}-py*.egg-info

%changelog
* Sun Jul 12 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pyp2rpm.git;a=log;h=master

* Sat May 23 2015 Elan Ruusamäe <glen@delfi.ee> 52c0e66
- up to 1.1.2

* Sun Mar 17 2013 Elan Ruusamäe <glen@delfi.ee> 4fa3fef
- buildroot, postclean, clean install

* Sun Mar 17 2013 Elan Ruusamäe <glen@delfi.ee> 7173656
- switch default distro and template to pld

* Sun Mar 17 2013 Elan Ruusamäe <glen@delfi.ee> 41a9b90
- add pld spec template

* Sun Mar 17 2013 Elan Ruusamäe <glen@delfi.ee> 8cd0374
- add templates/mageia.spec as pld.spec.tmpl

* Sun Mar 17 2013 Elan Ruusamäe <glen@delfi.ee> 14705ca
- fix license and group mixup

* Sun Mar 17 2013 Elan Ruusamäe <glen@delfi.ee> 86badbe
- do not assume we're on fedora

* Sun Mar 17 2013 Elan Ruusamäe <glen@delfi.ee> aa1c3d8
- default savepath  to current dir

* Sun Mar 17 2013 Elan Ruusamäe <glen@delfi.ee> c1f9203
- cleanup deps; enable tests

* Sun Mar 17 2013 Elan Ruusamäe <glen@delfi.ee> 20e7220
- new, version 1.0.1

